Add or manage DNSSEC records for your domain

Add DNSSEC (Domain Name System Security Extensions) records for your domain. This enhances security by ensuring the authenticity of DNS data. The endpoint returns a public key to be used when calling POST /api/ssh-keys.

Domain Services DNS

Context

Where to get IDs / values

Workflow links

Produces

Path Parameters

domainId integer · min: 1 required Example: 20473

Unique domain identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
algorithm string required · Example: 13
digest string · Example: D5F5132328F1EA899521F232FF3EB0BE29AF452CB487421119DA258778CF0174
digest_type string · Example: 2
flag string · Example: 257
key_tag string · Example: 2371
protocol string · Example: 3
publickey string · Example: ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEVYQU1QTEVfU1NIX0tFWV9EQVRBX09OTFk example@hostup
type string · enum required · Example: DS
DS
KEY

Responses

200
data object required
data.message string required · Example: DS record added successfully

Human-readable message.

data.record object required
data.record.algorithm string required · Example: 13
data.record.digest string · Example: D5F5132328F1EA899521F232FF3EB0BE29AF452CB487421119DA258778CF0174
data.record.digest_type string · Example: 2
data.record.flag string · Example: 257
data.record.key_tag string · Example: 2371
data.record.protocol string · Example: 3
data.record.publickey string · Example: ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEVYQU1QTEVfU1NIX0tFWV9EQVRBX09OTFk example@hostup
data.record.type string · enum required · Example: DS
DS
KEY
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/domains/{domainId}/dnssec
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/domains/20473/dnssec" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "DS",
    "key_tag": "2371",
    "algorithm": "13",
    "digest_type": "2",
    "digest": "D5F5132328F1EA899521F232FF3EB0BE29AF452CB487421119DA258778CF0174"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "message": "DS record added successfully",
    "record": {
      "type": "DS",
      "key_tag": "2371",
      "algorithm": "13",
      "digest_type": "2",
      "digest": "D5F5132328F1EA899521F232FF3EB0BE29AF452CB487421119DA258778CF0174"
    }
  }
}
Request Body DS
{
  "type": "DS",
  "key_tag": "2371",
  "algorithm": "13",
  "digest_type": "2",
  "digest": "D5F5132328F1EA899521F232FF3EB0BE29AF452CB487421119DA258778CF0174"
}